HORIZON HASKELLDocslts/ghc-9.10.x248f8f02026-10-05Search names, modules, packages, or :: a typeCtrl K

GHC 9.10.3 · lts/ghc-9.10.x · 248f8f0 · 2026-10-05

Modulestripeapi-3.0.0.0Haskell2010

StripeAPI.Operations.PostInvoicesInvoiceMarkUncollectible

Contains the different functions to run the operation postInvoicesInvoiceMarkUncollectible

  • 2 types
  • 2 values
  • Packagestripeapi-3.0.0.0
  • Exports4
  • LanguageHaskell2010
  • LicenceMIT
  • SourcePostInvoicesInvoiceMarkUncollectible.hs
valuepostInvoicesInvoiceMarkUncollectible
  1. :: MonadHTTP m
  2. => Text

    invoice | Constraints: Maximum length of 5000

  3. -> Maybe PostInvoicesInvoiceMarkUncollectibleRequestBody

    The request body to send

  4. -> ClientT m (Response PostInvoicesInvoiceMarkUncollectibleResponse)

    Monadic computation which returns the result of the operation

#
POST /v1/invoices/{invoice}/mark_uncollectible

<p>Marking an invoice as uncollectible is useful for keeping track of bad debts that can be written off for accounting purposes.</p>

Defines the object schema located at paths./v1/invoices/{invoice}/mark_uncollectible.POST.requestBody.content.application/x-www-form-urlencoded.schema in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Represents a response of the operation postInvoicesInvoiceMarkUncollectible.

The response constructor is chosen by the status code of the response. If no case matches (no specific case for the response code, no range case, no default case), PostInvoicesInvoiceMarkUncollectibleResponseError is used.

Instances2Eq, Show